From 210c25b41028af219281d6cf8120e6eb30ee94c0 Mon Sep 17 00:00:00 2001
From: Raymond Yau <superquad.vortex2@gmail.com>
Date: Sat, 28 May 2011 12:04:15 +0800
Subject: [PATCH ALSA HDA 1/2] Fix HP pin and Front pin of ad1988/ad1989 in ad198x_eapd_powerdown

According to datasheet, Port A (0x11) is HP and Port D (0x12) is Front

but both of these pins in ad1988a are not EAPD capable

Signed-off-by: Raymond Yau <superquad.vortex2@gmail.com>

diff --git a/sound/pci/hda/patch_analog.c b/sound/pci/hda/patch_analog.c
index 696ac25..b7439e9 100644
--- a/sound/pci/hda/patch_analog.c
+++ b/sound/pci/hda/patch_analog.c
@@ -537,7 +537,7 @@ static void ad198x_power_eapd(struct hda_codec *codec)
 	case 0x11d4198b:
 	case 0x11d4989a:
 	case 0x11d4989b:
-		ad198x_power_eapd_write(codec, 0x29, 0x22);
+		ad198x_power_eapd_write(codec, 0x12, 0x11);
 		break;
 	}
 }
-- 
1.6.0.6

